CI on Boat VMs
Connect GitHub for CI
Get a link to install the boat CI GitHub App or link an existing installation.
POST
/
ci
/
connect
Connect GitHub for CI
curl --request POST \
--url https://boat.dev/api/v1/ci/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org": "<string>",
"account": "<string>",
"orgApp": true
}
'import requests
url = "https://boat.dev/api/v1/ci/connect"
payload = {
"org": "<string>",
"account": "<string>",
"orgApp": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org: '<string>', account: '<string>', orgApp: true})
};
fetch('https://boat.dev/api/v1/ci/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://boat.dev/api/v1/ci/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org' => '<string>',
'account' => '<string>',
'orgApp' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://boat.dev/api/v1/ci/connect"
payload := strings.NewReader("{\n \"org\": \"<string>\",\n \"account\": \"<string>\",\n \"orgApp\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://boat.dev/api/v1/ci/connect")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org\": \"<string>\",\n \"account\": \"<string>\",\n \"orgApp\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://boat.dev/api/v1/ci/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org\": \"<string>\",\n \"account\": \"<string>\",\n \"orgApp\": true\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"type": "ci.connect",
"installUrl": "<string>"
}{
"ok": false,
"type": "sandbox.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}Authorizations
Body
application/json
⌘I
Connect GitHub for CI
curl --request POST \
--url https://boat.dev/api/v1/ci/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org": "<string>",
"account": "<string>",
"orgApp": true
}
'import requests
url = "https://boat.dev/api/v1/ci/connect"
payload = {
"org": "<string>",
"account": "<string>",
"orgApp": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org: '<string>', account: '<string>', orgApp: true})
};
fetch('https://boat.dev/api/v1/ci/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://boat.dev/api/v1/ci/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org' => '<string>',
'account' => '<string>',
'orgApp' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://boat.dev/api/v1/ci/connect"
payload := strings.NewReader("{\n \"org\": \"<string>\",\n \"account\": \"<string>\",\n \"orgApp\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://boat.dev/api/v1/ci/connect")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org\": \"<string>\",\n \"account\": \"<string>\",\n \"orgApp\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://boat.dev/api/v1/ci/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org\": \"<string>\",\n \"account\": \"<string>\",\n \"orgApp\": true\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"type": "ci.connect",
"installUrl": "<string>"
}{
"ok": false,
"type": "sandbox.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}